#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    bool m=true, p=true;
    cin>>n;
    vector <int> veki (n);
    for(int i=0; i<n; i++){
        cin>>veki[i];
        if(veki[i]<0)
            p=false;
        else
            m=false;
    }
    int x=min(n, 500000);
    cout<<n<<endl;
    if(m){
        cout<<2;
        for(int i=1; i<x; i++){
            cout<<32;
        }
    }
    else if(p){
        cout<<1;
        for(int i=1; i<x; i++){
            cout<<21;
        }
    }
    else{
        cout<<1;
        for(int i=1; i<=x/2; i++){
            cout<<21;
        }
    }
}